CSS issue with Nofications on Linux / Windows

RESOLVED FIXED in 0.2b1

Status

Instantbird
Account manager
--
trivial
RESOLVED FIXED
4 years ago
4 years ago

People

(Reporter: Romain BEZUT, Assigned: Mic)

Tracking

trunk
0.2b1
x86
Linux

Details

Attachments

(1 attachment, 1 obsolete attachment)

(Reporter)

Description

4 years ago
*** Original post on bio 148 at 2008-10-10 22:54:00 UTC ***

The Right border is ugly, and should be removed / something must be made.
Seen on Windows / Linux.

On Conversation.xml, and Accounts.xul.
(Reporter)

Updated

4 years ago
Depends on: 953592
Target Milestone: 0.2a1 → ---
(Assignee)

Comment 1

4 years ago
*** Original post on bio 148 at 2009-08-27 00:00:20 UTC ***

Try adding the following into accounts.css and instantbird.css:

notification > hbox {
  border-top, border-left, border-right:none !important;
  border-bottom: 1px solid ThreeDShadow !important;
}
(Assignee)

Comment 2

4 years ago
*** Original post on bio 148 at 2009-08-27 00:08:39 UTC ***

Thanks for pointing out on IRC that I've been overly creative with the properties syntax.

Correct one:

notification > hbox {
  border-top:none !important;
  border-left:none !important;
  border-right:none !important;
  border-bottom: 1px solid ThreeDShadow !important;
}
(Reporter)

Comment 3

4 years ago
Created attachment 8351970 [details] [diff] [review]
Patch V1

*** Original post on bio 148 as attmnt 226 at 2009-08-27 22:09:00 UTC ***

Fixes the double borders, works like a charm on Ubuntu :).
Attachment #8351970 - Flags: review?(florian)
(Reporter)

Updated

4 years ago
Assignee: nobody → benediktp
Status: NEW → ASSIGNED
Target Milestone: --- → 0.2b1
(Assignee)

Comment 4

4 years ago
Created attachment 8351980 [details] [diff] [review]
Fix for account manager

*** Original post on bio 148 as attmnt 236 at 2009-09-05 11:25:00 UTC ***

The border of the notification bar was fixed on the conversation window with 
https://hg.instantbird.org/instantbird/rev/af21fac64c3a

The flaw persists on the account manager  (at least on Windows). This is a new patch that covers only the account manager.
(Assignee)

Comment 5

4 years ago
Comment on attachment 8351970 [details] [diff] [review]
Patch V1

*** Original change on bio 148 attmnt 226 at 2009-09-05 11:25:55 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8351970 - Attachment is obsolete: true
Attachment #8351970 - Flags: review?(florian)
Comment on attachment 8351980 [details] [diff] [review]
Fix for account manager

*** Original change on bio 148 attmnt 236 at 2009-09-08 13:47:18 UTC ***

This looks good, sorry for the delay!
Attachment #8351980 - Flags: review+
(Reporter)

Comment 7

4 years ago
*** Original post on bio 148 at 2009-09-08 18:57:00 UTC ***

pushed at:
https://hg.instantbird.org/instantbird/rev/734ac18fe371

Thanks!
Status: ASSIGNED → RESOLVED
Last Resolved: 4 years ago
Resolution: --- → FIXED
You need to log in before you can comment on or make changes to this bug.